% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/remote.R
\name{remote.copy.to}
\alias{remote.copy.to}
\title{Copy file from remote to local}
\usage{
remote.copy.to(host, src, dst, delete = FALSE, stderr = FALSE)
}
\arguments{
\item{host}{list with server, user and optionally tunnel to use.}

\item{src}{local file/dir to copy}

\item{dst}{remote file/dir to copy to}

\item{delete}{in case of local dir should all non-existent files be removed}

\item{stderr}{should stderr be returned}
}
\value{
output of command executed
}
\description{
Copy file/dir to remote server from local server
}
\details{
Copies the file/dir to the remote server from the local server. If the dst
is a folder it will copy the file into that folder.
}
\examples{
\dontrun{
  host <- list(name="geo.bu.edu", user="kooper", tunnel="/tmp/geo.tunnel")
  remote.copy.to(host, "/tmp/kooper", "/tmp/kooper", delete=TRUE)
}
}
\author{
Rob Kooper
}

